Subject: Re: Cygwin Bash shell on Windows 2003 Server not working
From: [email-masked] (Eric Blake)
To: Nitin Agarwal <[email-masked]>
Cc: [email-masked]
Date: Thu, 23 Feb 2006 16:27:16 +0000

Ugh - topposting reformatted: http://cygwin.com/acronyms/#TOFU

> On 2/23/06, Eric Blake <ebb9 AT byu DOT net> wrote:
                              ^^^^   ^^^^^

Ugh - raw email: http://cygwin.com/acronyms/#PCYMTNQREAIYR

> >
> > Try rerunning setup.exe to reinstall bash:
> >
> > > Not Found: sh
> >
> > Until that line of cygcheck -svf is resolved, the bash postinstall script
> > has not correctly run, and cygwin will be unusable.  If you are getting
> > errors while trying to install bash and rerun the postinstall script, then
> > there may be some permissions problems to research.  But hopefully the
> > reinstall of bash will solve your problems.
> >

> Eric,
> 
> Thanks for the reply.
> 
> I have run the cygwin install 3-4 times after removing everything. But
> I still get the same error. And the installation package downloaded
> from cygwin website works fine on one of my Windows XP machine.
> 
> You have pointed out an error - > > Not Found: sh
> 
> Can I copy this or install this from some other installation package?

The postinstall script for the bash package effectively does
'cp /bin/bash /bin/sh' from inside a bash shell, so you could
manually do that (or the cmd.com equivalent
'copy c:\cygwin\bin\bash.exe c:\cygwin\bin\sh.exe').  But
the bigger question is WHY the postinstall script is failing,
and the realization that the postinstall script relies on bash
working.  As has been previously suggested on this list,
if you are having problems starting bash, a good thing to
try is opening a cmd.com window in c:\cygwin\bin (or
wherever you installed), then running ".\bash.exe -livx"
to start an interactive login shell with full debugging
statements, and see how far you get or what error
message is printed.

> Or is there any other way I can install cygwin?

setup.exe is the only recommended method from this mailing
list.

> 
> Thanks.
> 
> Nitin
> 

-- 
Eric Blake

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/